Class PortOperator
java.lang.Object
com.eqixiac.equinix.core.model.ResourceImpl<Port>
com.eqixiac.equinix.fabric.model.json.creators.PortOperator
Fluent create/update entry point for Fabric ports, mirroring the route-filter operator.
create() builds a PortCreatorJson for POST /fabric/v4/ports;
update(String) accumulates JSON Patch operations for PATCH /fabric/v4/ports/{uuid}.- Author:
- ianjones
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionclassFluent builder forPortCreatorJson.classFluent builder for updating an existing port. -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate()Begins the fluent builder for creating a new port.Begins a fluent update of an existing port, identified by uuid.Methods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface Resource
getServiceClient
-
Constructor Details
-
PortOperator
-
-
Method Details
-
create
Begins the fluent builder for creating a new port. -
update
Begins a fluent update of an existing port, identified by uuid.- Parameters:
uuid- the uuid of the port to update
-